import { FG_Plugin } from '@flaschengeist/typings';
import { defineAsyncComponent } from 'vue';
import routes from './routes';

const plugin: FG_Plugin.Plugin = {
  name: 'User',
  innerRoutes: routes,
  requiredModules: [],
  requiredBackendModules: ['auth', 'users', 'roles'],
  version: '0.0.1',
  widgets: [
    {
      priority: 1,
      name: 'greeting',
      permissions: [],
      widget: defineAsyncComponent(() => import('./components/Widget.vue')),
    },
  ],
};

export default plugin;
